ome-files 0.2.2

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
ome::files::tiff::Field< Tag > Class Template Reference

Field representing a tag value. More...

`#include <ome/files/tiff/Field.h>`

Inheritance diagram for ome::files::tiff::Field< Tag >:
[legend]
Collaboration diagram for ome::files::tiff::Field< Tag >:
[legend]

## Public Types
typedef Tag | tag_category
| The tag type (C++ enum type).
typedef ::ome::files::detail::tiff::TagProperties< tag_category >::value_type | value_type
| The tag value type (C++ type).

## Public Member Functions
virtual | ~Field ()
| Destructor.
void | get (value_type &value) const
| Get the value for this field. More...
void | set (const value_type &value)
| Set the value for this field. More...
Field & | operator= (const Field &field)
| Assign a field value. More...
| operator value_type ()
| Cast operator for getting the value of this field.
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
template<>
void | get (value_type &value) const
| Get the value for this field. More...
template<>
void | set (const value_type &value)
| Set the value for this field. More...
Public Member Functions inherited from ome::files::tiff::FieldBase
virtual | ~FieldBase ()
| Destructor.
Type | type () const
| Get field data type. More...
bool | passCount () const
| Get field count requirement. More...
int | readCount () const
| Get field read count requirement. More...
int | writeCount () const
| Get field write count requirement. More...
tag_type | tagNumber () const
| Get field tag number. More...
std::string | name () const
| Get field tag name. More...
ome::compat::shared_ptr< IFD > | getIFD () const
| Get the directory this field belongs to. More...

## Protected Member Functions
| Field (ome::compat::shared_ptr< IFD > ifd, tag_category tag)
| Constructor. More...
Protected Member Functions inherited from ome::files::tiff::FieldBase
| FieldBase (ome::compat::shared_ptr< IFD > ifd, tag_type tag)
| Constructor. More...

## Protected Attributes
tag_category | tag
| The tag identifying this field.
Protected Attributes inherited from ome::files::tiff::FieldBase
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Friends
class | IFD

## Detailed Description

### template<typename Tag>
class ome::files::tiff::Field< Tag >

Field representing a tag value.

Forward declaration of Field<Tag>.

## Constructor & Destructor Documentation

## § Field()

template<typename Tag>

ome::files::tiff::Field< Tag >::Field | ( | ome::compat::shared_ptr< IFD > | ifd,
|  | tag_category | tag
| ) |  |
| inlineprotected

Constructor.

Parameters

  ifd | the directory the field belongs to.
  tag | the tag identifying this field.

## Member Function Documentation

## § get() [1/26]

template<typename Tag>

void ome::files::tiff::Field< Tag >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

Referenced by ome::files::tiff::ValueProxy< V >::operator=(), and ome::files::tiff::Value< V >::operator=().

Here is the caller graph for this function:

## § get() [2/26]

template<>

void ome::files::tiff::Field< StringTag1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_ASCII.

## § get() [3/26]

template<>

void ome::files::tiff::Field< StringTagArray1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_ASCII.

## § get() [4/26]

template<>

void ome::files::tiff::Field< UInt16Tag1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_SHORT.

## § get() [5/26]

template<>

void ome::files::tiff::Field< UInt16TagArray1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_SHORT.

## § get() [6/26]

template<>

void ome::files::tiff::Field< UInt16Orientation1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), and ome::files::tiff::FieldBase::type().

## § get() [7/26]

template<>

void ome::files::tiff::Field< UInt16PhotometricInterpretation1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), and ome::files::tiff::FieldBase::type().

## § get() [8/26]

template<>

void ome::files::tiff::Field< UInt16PlanarConfiguration1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), and ome::files::tiff::FieldBase::type().

## § get() [9/26]

template<>

void ome::files::tiff::Field< UInt16Predictor1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), and ome::files::tiff::FieldBase::type().

## § get() [10/26]

template<>

void ome::files::tiff::Field< UInt16Compression1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), and ome::files::tiff::FieldBase::type().

## § get() [11/26]

template<>

void ome::files::tiff::Field< UInt16FillOrder1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), and ome::files::tiff::FieldBase::type().

## § get() [12/26]

template<>

void ome::files::tiff::Field< UInt16SampleFormat1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), and ome::files::tiff::FieldBase::type().

## § get() [13/26]

template<>

void ome::files::tiff::Field< UInt16Threshholding1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), and ome::files::tiff::FieldBase::type().

## § get() [14/26]

template<>

void ome::files::tiff::Field< UInt16YCbCrPosition1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), and ome::files::tiff::FieldBase::type().

## § get() [15/26]

template<>

void ome::files::tiff::Field< UInt16Tag2 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::BITSPERSAMPLE, ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_SHORT.

## § get() [16/26]

template<>

void ome::files::tiff::Field< UInt16Tag6 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::BITSPERSAMPLE, ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_SHORT.

## § get() [17/26]

template<>

void ome::files::tiff::Field< UInt32Tag1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_LONG.

## § get() [18/26]

template<>

void ome::files::tiff::Field< FloatTag1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_RATIONAL.

## § get() [19/26]

template<>

void ome::files::tiff::Field< FloatTag2 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_RATIONAL.

## § get() [20/26]

template<>

void ome::files::tiff::Field< FloatTag3 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_RATIONAL.

## § get() [21/26]

template<>

void ome::files::tiff::Field< FloatTag6 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_RATIONAL.

## § get() [22/26]

template<>

void ome::files::tiff::Field< UInt16ExtraSamplesArray1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_SHORT.

## § get() [23/26]

template<>

void ome::files::tiff::Field< UInt16TagArray3 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_SHORT.

## § get() [24/26]

template<>

void ome::files::tiff::Field< UInt32TagArray1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::TYPE_LONG.

## § get() [25/26]

template<>

void ome::files::tiff::Field< UInt64TagArray1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_IFD8, and ome::files::tiff::TYPE_LONG8.

## § get() [26/26]

template<>

void ome::files::tiff::Field< RawDataTag1 >::get | ( | value_type & | value | ) | const

Get the value for this field.

Parameters

  value | the variable in which the field value will be stored.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::readCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_BYTE, and ome::files::tiff::TYPE_UNDEFINED.

## § operator=()

template<typename Tag>

Field& ome::files::tiff::Field< Tag >::operator= | ( | const Field< Tag > & | field | ) |
| inline

Assign a field value.

Parameters

  field | the field to assign from.

Returns
  the Field.

## § set() [1/26]

template<typename Tag>

void ome::files::tiff::Field< Tag >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

## § set() [2/26]

template<>

void ome::files::tiff::Field< StringTag1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_ASCII, and ome::files::tiff::FieldBase::writeCount().

## § set() [3/26]

template<>

void ome::files::tiff::Field< StringTagArray1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_ASCII, and ome::files::tiff::FieldBase::writeCount().

## § set() [4/26]

template<>

void ome::files::tiff::Field< UInt16TagArray1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_SHORT, and ome::files::tiff::FieldBase::writeCount().

## § set() [5/26]

template<>

void ome::files::tiff::Field< UInt16Tag1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_SHORT, and ome::files::tiff::FieldBase::writeCount().

## § set() [6/26]

template<>

void ome::files::tiff::Field< UInt16Orientation1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::FieldBase::writeCount().

## § set() [7/26]

template<>

void ome::files::tiff::Field< UInt16PhotometricInterpretation1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::FieldBase::writeCount().

## § set() [8/26]

template<>

void ome::files::tiff::Field< UInt16PlanarConfiguration1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::FieldBase::writeCount().

## § set() [9/26]

template<>

void ome::files::tiff::Field< UInt16Predictor1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::FieldBase::writeCount().

## § set() [10/26]

template<>

void ome::files::tiff::Field< UInt16Compression1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::FieldBase::writeCount().

## § set() [11/26]

template<>

void ome::files::tiff::Field< UInt16FillOrder1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::FieldBase::writeCount().

## § set() [12/26]

template<>

void ome::files::tiff::Field< UInt16SampleFormat1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::FieldBase::writeCount().

## § set() [13/26]

template<>

void ome::files::tiff::Field< UInt16Threshholding1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::FieldBase::writeCount().

## § set() [14/26]

template<>

void ome::files::tiff::Field< UInt16YCbCrPosition1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), and ome::files::tiff::FieldBase::writeCount().

## § set() [15/26]

template<>

void ome::files::tiff::Field< UInt16Tag2 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_SHORT, and ome::files::tiff::FieldBase::writeCount().

## § set() [16/26]

template<>

void ome::files::tiff::Field< UInt16Tag6 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_SHORT, and ome::files::tiff::FieldBase::writeCount().

## § set() [17/26]

template<>

void ome::files::tiff::Field< UInt32Tag1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_LONG, and ome::files::tiff::FieldBase::writeCount().

## § set() [18/26]

template<>

void ome::files::tiff::Field< FloatTag1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_RATIONAL, and ome::files::tiff::FieldBase::writeCount().

## § set() [19/26]

template<>

void ome::files::tiff::Field< FloatTag2 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_RATIONAL, and ome::files::tiff::FieldBase::writeCount().

## § set() [20/26]

template<>

void ome::files::tiff::Field< FloatTag3 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_RATIONAL, and ome::files::tiff::FieldBase::writeCount().

## § set() [21/26]

template<>

void ome::files::tiff::Field< FloatTag6 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::passCount(), ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_RATIONAL, and ome::files::tiff::FieldBase::writeCount().

## § set() [22/26]

template<>

void ome::files::tiff::Field< UInt16ExtraSamplesArray1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_SHORT, and ome::files::tiff::FieldBase::writeCount().

## § set() [23/26]

template<>

void ome::files::tiff::Field< UInt16TagArray3 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_SHORT, and ome::files::tiff::FieldBase::writeCount().

## § set() [24/26]

template<>

void ome::files::tiff::Field< UInt32TagArray1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_LONG, and ome::files::tiff::FieldBase::writeCount().

## § set() [25/26]

template<>

void ome::files::tiff::Field< UInt64TagArray1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_IFD8, ome::files::tiff::TYPE_LONG8, and ome::files::tiff::FieldBase::writeCount().

## § set() [26/26]

template<>

void ome::files::tiff::Field< RawDataTag1 >::set | ( | const value_type & | value | ) |

Set the value for this field.

Parameters

  value | the value to set.

References ome::files::tiff::FieldBase::getIFD(), ome::files::tiff::FieldBase::impl, ome::files::tiff::FieldBase::type(), ome::files::tiff::TYPE_BYTE, ome::files::tiff::TYPE_UNDEFINED, and ome::files::tiff::FieldBase::writeCount().

The documentation for this class was generated from the following file:

- ome/files/tiff/Field.h